import 'dart:io';
import 'package:sqflite/sqflite.dart';
import 'package:sql_query/builder/db_merge.dart';

class Merger {
  static String path = '';
  static init() async {
    final databasesPath = Platform.isIOS ? '' : (await getDatabasesPath() + '/');
    // Get a location using getDatabasesPath
    try {
      path = databasesPath + 'incesss.db';
    } catch (_) {}
  }

  static Future<DBMerge> connect() async {
    Database database = await openDatabase(path, version: 1, onCreate: (Database db, int version) async {
      await db.execute('CREATE TABLE data(id INTEGER PRIMARY KEY,name TEXT, text TEXT,type TEXT)');
    });
    return DBMerge(database: database, tableList: []);
  }
}
